<?php
// find main page
$page['header'] = LBL_FIND;
$page['crumbs'][] = 'teams';
$page['content'] = LBL_FIND_CONTENT;

$control = $_POST['control'];
$search = $_POST['search'];
if (!$search) $search = $_GET['search'];
if (isset($_GET['offset'])) $offset = $_GET['offset'];

$page['content'] .= "<form method='post' action='index.php?p=find' name='teamlist'>\n";
$page['content'] .= "<table class='find'>\n";
$page['content'] .= "<tr><td>" . LBL_FIND_LABEL . "</td><td><input name='search' type=text value='$search'> <a href=\"index.php?p=find&search\">" . LBL_FIND_ALLTEAMS ."</a></td></tr>\n";
$page['content'] .= "<tr><td></td><td><input type='submit' name='control' value='" . LBL_FIND_ACTION . "'></td></tr>\n";
$page['content'] .= "</table>\n";
$page['content'] .= "</form>\n";


if ($control == LBL_FIND_ACTION || isset($search)) {
  $gr = new_grouper();
  if (!$gr->isConnected()) {
    $page['errors'][] = ERROR_GROUPER_CONNECT;
    return;
  }

  $groups = $gr->findGroups($search);

  $page['content'] .= "<h1>" . LBL_FIND_RESULTS . ": $search</h1>";
  //$page['content'] .= "<pre>" . print_r($search_result, true) . "</pre>\n";

  if ($group_count = count($groups)) {
    $page['content'] .= paginate($group_count, $offset, $max_groups, $max_pages, "index.php?p=$p&search=" . urlencode($search));

    $page['content'] .= "<form method='post' action='index.php?p=request'>\n";
    $page['content'] .= "<table class='alternating teams'>\n";
    $page['content'] .= "<tr>";
    $page['content'] .= "<td width='1'></td>";
    $page['content'] .= "<td>" . LBL_FIND_COL_NAME . "</td><td>" . LBL_FIND_COL_DESCRIPTION . "</td><td>" . LBL_FIND_COL_MEMBERS ."</td></tr>\n";

    // Slice the $teams array, according to $offset and $max_groups
    $groups = array_slice($groups, ($offset - 1) * $max_groups, $max_groups);

    foreach ($groups as $key => $group) {
      $privs = $gr->getSubjectGroupPrivileges($uuid, $group['id']);
      $group['members'] = count($gr->getGroupMembers($group['id']));
      $page['content'] .= "<tr" . ($row++%2?"":" class='even'") . ">";
      $page['content'] .= "<td><input type='radio' name='group_id' value='" . $group['id'] . "'></td>";
      $page['content'] .= "<td>" . $group['name'] . "</td><td>" . htmlentities($group['description']) . "</td>";
      $page['content'] .= "<td>" . $group['members'] . "</td>";
      $page['content'] .= "</tr>\n";
    }

    $page['content'] .= "</table>\n";
    $page['content'] .= "<br>\n";
    $page['content'] .= "<input type='submit' name='control' value='" . LBL_FIND_ACTION_REQUEST . "'>\n";
    $page['content'] .= "</form>\n";
  }
}


?>
